
class Error(Exception):
    """Base class for exceptions in this module."""
    pass

class ApiError(Error):
    def __init__(self, request_url, response_code):
        self.request = request_url
        self.response_code = response_code

class ConnectionTimeoutError(Error):
    pass
